/**
 * @author Igor Kholodov, Bristol Community College
 *
 * CIS-75 sample:
 * Setting the OS-specific look and feel
 */
package application;
import cis75.CallTrace;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.text.*;

public class SwingMain
{
    public static void main(String args [])
    {
        if (args.length > 0)
        {
            CallTrace.strDebugOutput = args[0];
        }

        // Swing test
        setSystemLookFeel();
        JFrame frame = new JFrame("JFrame is me");
        frame.setBounds(0, 0, 400, 300);

        JPanel jpan = new JPanel();
        frame.getContentPane().add(jpan);
        JButton jbut = new JButton("Hello");
        jpan.add(jbut);

        frame.setVisible(true);
    } //main

    // Setting OS-specific look and feel:
    private static void setSystemLookFeel()
    {
        // Force GUI to come up in the OS-specific look and feel
        String laf = UIManager.getSystemLookAndFeelClassName();
        try
        {
            UIManager.setLookAndFeel(laf);
        }
        catch (UnsupportedLookAndFeelException exc )
        {
            System.err.println("Unsupported: " + laf);
        }
        catch (Exception exc)
        {
            System.err.println("Error loading " + laf);
        }
    }
} //SwingMain

