/**
 * @author Igor Kholodov, Bristol Community College
 *
 * CIS-75 sample:
 * Sublassing main application frame
 * Setting OS-specific look and feel
 */
package application;
import cis75.CallTrace;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.text.*;
import application.ApplicationFrame;

public class SwingMain
{
    public static void main(String args [])
    {
        if (args.length > 0)
        {
            CallTrace.strDebugOutput = args[0];
        }

        // Swing test
        setSystemLookFeel();
        ApplicationFrame frame = new ApplicationFrame("AppplicationFrame is me");
    } //main

    // Setting OS-specific look and feel:
    private static void setSystemLookFeel()
    {
        // Force to come up in the system look and feel
        String laf = UIManager.getSystemLookAndFeelClassName();
        try
        {
            UIManager.setLookAndFeel(laf);
        }
        catch (UnsupportedLookAndFeelException exc)
        {
            System.err.println("Unsupported: " + laf);
        }
        catch (Exception exc)
        {
            System.err.println("Error loading " + laf);
        }
    }
} //SwingMain
